<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:element name="Ifmgr">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="ClearAllIfStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
                            This table is used to clear statistics on all interfaces.
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Clear" type="xs:string" fixed="">
                <xs:annotation>
                  <xs:documentation>Clears statistics on all interfaces.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>
        <xs:element name="Interfaces"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              This table contains interface action information.
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion">
                      <xs:annotation>
                        <xs:documentation>Interface index as table index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Clear" type="xs:string" fixed="" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Clears interface statistics.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Default" type="xs:string" fixed="" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Restore default settings.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Loopback" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Interface loopback testing as follows:
                          1 Internal
                          2 External
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="SubInterfaces"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table is used to create or delete sub-interfaces.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion">
                      <xs:annotation>
                        <xs:documentation>Interface index as table index.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="SubNum" type="base:UnsignedInteger32" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Sub-interface number.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Remove" type="xs:string" fixed="" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Delete specified sub-interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="LogicInterfaces"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table is used to create or delete logic interfaces.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfTypeExt" type="base:UnsignedInteger32" minOccurs="0">
                      <xs:annotation>    
                        <xs:documentation>the interface type</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Number" type="base:UnsignedInteger32">
                      <xs:annotation>
                        <xs:documentation>Number of the logic interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Remove" type="xs:string" fixed="" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Delete specified logic interface.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        <xs:element name="VirtualCableTest"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>VirtualCableTest table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" type="base:NameAndIndexUnion">
                      <xs:annotation>
                        <xs:documentation>Interface index as table index.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
